﻿using Infragistics.Win.UltraWinDock;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace sample8
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //prevents the sizing logic from being performed while we set up all the panes
            SuspendLayout();
            DockableControlPane dcpTreeView = new DockableControlPane("tree", "Tree View", this.treeView1);
            DockableControlPane dcpListView = new DockableControlPane("list", "List View", this.listView1);
            DockableControlPane dcpRichText = new DockableControlPane("rtb", "Rich Text Box", this.richTextBox1);
            DockableGroupPane dgpTreeList = new DockableGroupPane();

            dgpTreeList.ChildPaneStyle = ChildPaneStyle.TabGroup;
            dgpTreeList.Panes.Add(dcpTreeView);
            dgpTreeList.Panes.Add(dcpListView);

            DockAreaPane dapLeft = new DockAreaPane(DockedLocation.DockedLeft);
            dapLeft.Panes.Add(dgpTreeList);

            DockAreaPane dapBottom = new DockAreaPane(DockedLocation.DockedBottom);
            dapBottom.Panes.Add(dcpRichText);

            dcpRichText.Unpin();
            dcpRichText.FlyoutSize = new Size(0, 100);

            this.ultraDockManager1.DockAreas.Add(dapLeft);
            this.ultraDockManager1.DockAreas.Add(dapBottom);
           
            this.ultraDockManager1.ShowCloseButton = false;

            ResumeLayout();
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {            
            var pane = ((DockablePaneBase[])((DockableGroupPane)((DockablePaneBase[])((DockAreaPane[])ultraDockManager1.DockAreas.All)[0].Panes.All)[0]).Panes.All)[0];
            var isPinned = ((DockableControlPane)pane).Pinned;

            MessageBox.Show(isPinned.ToString());
        }
    }
}
